Skip to main content
POST
Store artifact content

Authorizations

Authorization
string
header
required

Short-lived token scoped to one rollout trajectory

Path Parameters

trajectory_id
string
required

Query Parameters

media_type
string
required
Maximum string length: 255
Pattern: ^[a-z0-9!#$&^_.+-]+/[a-z0-9!#$&^_.+-]+$

Body

application/octet-stream

The body is of type file.

Response

Successful Response

artifact_id
string
required

Stable file ID, resolved within the owning organization.

media_type
string
required

MIME type of the stored file.

size_bytes
integer
required

Size of the original file in bytes.

md5
string
required

GCS-verified, base64-encoded MD5 checksum of the file.

created_at
string<date-time>
required

Time the file metadata was first published.